/// <reference path="~/Scripts/_references.js" />

function Smtp_Create()
{
  
}

function Smtp_Edit(modelID)
{
   
}


function Smtp_List()
{
    Generic_List_LoadDataTable("ListSMTPDataTable", 1, 2, "SMTP", "Edit", "Delete", "List", true, true, false, null, false, false);
}


function TestConnection(modelID) {

    Generic_Forms_LoadDialog();
    Generic_Forms_LoadDialog();

    var model = $('form').serialize();

    var jqxhr = $.post(ZB_Relative_Path + "ZBAdmin/SMTP/TestConnection/", model)
                 .success(function (data) {
                     Generic_Forms_CloseLoadDialog();
                     Generic_Functions_ShowSuccessDialog(data.Title, data.Description);
                 })
                 .fail(function (data) {
                     Generic_Forms_CloseLoadDialog();
                     Generic_Functions_ShowErrorDialog(Languages_BackOffice_Resource_Error, JSON.stringify(data));                     
                 });

}